Index: svn/src/mainboard/intel/d945gclf/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/acpi_tables.c
+++ svn/src/mainboard/intel/d945gclf/acpi_tables.c
@@ -214,7 +214,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Align ACPI tables to 16byte */
 	ALIGN_CURRENT;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -233,7 +233,7 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
@@ -242,7 +242,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
@@ -250,7 +250,7 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
@@ -258,7 +258,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, mcfg);
 
 #if OLD_ACPI
-	printk(BIOS_DEBUG, "ACPI:    * OEMB\n");
+	printk(DEBUG, "ACPI:    * OEMB\n");
 	oemb=(acpi_oemb_t *)current;
 	current += sizeof(acpi_oemb_t);
 	ALIGN_CURRENT;
@@ -266,7 +266,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, oemb);
 #endif
 
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	ALIGN_CURRENT;
@@ -279,7 +279,7 @@ unsigned long write_acpi_tables(unsigned
 #if OLD_ACPI
 	for (i=0; i < dsdt->length; i++) {
 		if (*(u32*)(((u32)dsdt) + i) == 0xC0DEBEEF) {
-			printk(BIOS_DEBUG, "ACPI: Patching up DSDT at offset 0x%04x -> 0x%08x\n", i, 0x24 + (u32)oemb);
+			printk(DEBUG, "ACPI: Patching up DSDT at offset 0x%04x -> 0x%08x\n", i, 0x24 + (u32)oemb);
 			*(u32*)(((u32)dsdt) + i) = 0x24 + (u32)oemb;
 			break;
 		}
@@ -291,7 +291,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Pack GNVS into the ACPI table area */
 	for (i=0; i < dsdt->length; i++) {
 		if (*(u32*)(((u32)dsdt) + i) == 0xC0DEBABE) {
-			printk(BIOS_DEBUG, "ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08lx\n", i, current);
+			printk(DEBUG, "ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08lx\n", i, current);
 			*(u32*)(((u32)dsdt) + i) = current; // 0x92 bytes
 			break;
 		}
@@ -312,18 +312,18 @@ unsigned long write_acpi_tables(unsigned
 	dsdt->checksum = 0;
 	dsdt->checksum = acpi_checksum((void *)dsdt, dsdt->length);
 
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
 
 #if CONFIG_HAVE_ACPI_SLIC
-	printk(BIOS_DEBUG, "ACPI:     * SLIC\n");
+	printk(DEBUG, "ACPI:     * SLIC\n");
 	slic = (acpi_header_t *)current;
 	current += acpi_create_slic(current);
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, slic);
 #endif
 
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 	ALIGN_CURRENT;
@@ -331,15 +331,15 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_DEBUG, "ACPI:     * SSDT\n");
+	printk(DEBUG, "ACPI:     * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_DEBUG, "current = %lx\n", current);
+	printk(DEBUG, "current = %lx\n", current);
 
-	printk(BIOS_DEBUG, "ACPI:     * DMI (Linux workaround)\n");
+	printk(DEBUG, "ACPI:     * DMI (Linux workaround)\n");
 	memcpy((void *)0xfff80, dmi_table, DMI_TABLE_SIZE);
 #if CONFIG_WRITE_HIGH_TABLES == 1
 	memcpy((void *)current, dmi_table, DMI_TABLE_SIZE);
@@ -347,6 +347,6 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/intel/d945gclf/mainboard_smi.c
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/mainboard_smi.c
+++ svn/src/mainboard/intel/d945gclf/mainboard_smi.c
@@ -32,7 +32,7 @@ int mainboard_io_trap_handler(int smif)
 {
 	switch (smif) {
 	case 0x99:
-		printk(BIOS_DEBUG, "Sample\n");
+		printk(DEBUG, "Sample\n");
 		gnvs->smif = 0;
 		break;
 	default:
Index: svn/src/mainboard/intel/d945gclf/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/mptable.c
+++ svn/src/mainboard/intel/d945gclf/mptable.c
@@ -122,7 +122,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
 
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
 
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/intel/d945gclf/romstage.c
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/romstage.c
+++ svn/src/mainboard/intel/d945gclf/romstage.c
@@ -59,7 +59,7 @@
 static void setup_ich7_gpios(void)
 {
 	/* TODO: This is highly board specific and should be moved */
-	printk(BIOS_DEBUG, " GPIOS...");
+	printk(DEBUG, " GPIOS...");
 	/* General Registers */
 	outl(0x3f3df7c1, DEFAULT_GPIOBASE + 0x00);	/* GPIO_USE_SEL */
 	outl(0xc6fcbfc3, DEFAULT_GPIOBASE + 0x04);	/* GP_IO_SEL */
@@ -251,7 +251,7 @@ void real_main(unsigned long bist)
 	report_bist_failure(bist);
 
 	if (MCHBAR16(SSKPD) == 0xCAFE) {
-		printk(BIOS_DEBUG, "soft reset detected.\n");
+		printk(DEBUG, "soft reset detected.\n");
 		boot_mode = 1;
 	}
 
@@ -262,17 +262,17 @@ void real_main(unsigned long bist)
 
         /* Read PM1_CNT */
 	reg32 = inl(DEFAULT_PMBASE + 0x04);
-	printk(BIOS_DEBUG, "PM1_CNT: %08x\n", reg32);
+	printk(DEBUG, "PM1_CNT: %08x\n", reg32);
 	if (((reg32 >> 10) & 7) == 5) {
 #if CONFIG_HAVE_ACPI_RESUME
-		printk(BIOS_DEBUG, "Resume from S3 detected.\n");
+		printk(DEBUG, "Resume from S3 detected.\n");
 		boot_mode = 2;
 		/* Clear SLP_TYPE. This will break stage2 but
 		 * we care for that when we get there.
 		 */
 		outl(reg32 & ~(7 << 10), DEFAULT_PMBASE + 0x04);
 #else
-		printk(BIOS_DEBUG, "Resume from S3 detected, but disabled.\n");
+		printk(DEBUG, "Resume from S3 detected, but disabled.\n");
 #endif
 	}
 
@@ -309,7 +309,7 @@ void real_main(unsigned long bist)
 		/* This will not work if TSEG is in place! */
 		u32 tom = pci_read_config32(PCI_DEV(0,2,0), 0x5c);
 
-		printk(BIOS_DEBUG, "TOM: 0x%08x\n", tom);
+		printk(DEBUG, "TOM: 0x%08x\n", tom);
 		ram_check(0x00000000, 0x000a0000);
 		//ram_check(0x00100000, tom);
 	}
Index: svn/src/mainboard/intel/d945gclf/rtl8168.c
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/rtl8168.c
+++ svn/src/mainboard/intel/d945gclf/rtl8168.c
@@ -27,7 +27,7 @@
 
 static void nic_init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "Initializing RTL8168 Gigabit Ethernet\n");
+	printk(DEBUG, "Initializing RTL8168 Gigabit Ethernet\n");
 	// Nothing to do yet, but this has to be here to keep 
 	// coreboot from trying to execute an option ROM.
 }
Index: svn/src/mainboard/intel/eagleheights/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/intel/eagleheights/acpi_tables.c
+++ svn/src/mainboard/intel/eagleheights/acpi_tables.c
@@ -111,7 +111,7 @@ unsigned long acpi_fill_madt(unsigned lo
 		bus_isa = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
 		bus_isa++;
 	} else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
+		printk(DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
 		bus_isa = 7;
 	}
 
@@ -156,7 +156,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Align ACPI tables to 16byte */
 	ALIGN_CURRENT;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", current);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", current);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -175,7 +175,7 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
@@ -184,7 +184,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
@@ -192,14 +192,14 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	ALIGN_CURRENT;
@@ -210,10 +210,10 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 	memcpy((void *) dsdt, &AmlCode, AmlCode.length);
 
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
 
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 	ALIGN_CURRENT;
@@ -221,6 +221,6 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/intel/eagleheights/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/eagleheights/mptable.c
+++ svn/src/mainboard/intel/eagleheights/mptable.c
@@ -108,7 +108,7 @@ static void *smp_write_config_table(void
 	  bus_isa = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
 	  bus_isa++;
 	} else {
-	  printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
+	  printk(DEBUG, "ERROR - could not find PCI 0:1e.0, using defaults\n");
 	  bus_pci = 6;
 	  bus_isa = 7;
 	}
@@ -117,7 +117,7 @@ static void *smp_write_config_table(void
 	if(dev) {
 	  bus_pcie_a = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	} else {
-	  printk(BIOS_DEBUG, "ERROR - could not find PCIe Port A  0:2.0, using defaults\n");
+	  printk(DEBUG, "ERROR - could not find PCIe Port A  0:2.0, using defaults\n");
 	  bus_pcie_a = 1;
 	}
 
@@ -125,7 +125,7 @@ static void *smp_write_config_table(void
 	if(dev) {
 	  bus_pcie_a1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	} else {
-	  printk(BIOS_DEBUG, "ERROR - could not find PCIe Port B 0:3.0, using defaults\n");
+	  printk(DEBUG, "ERROR - could not find PCIe Port B 0:3.0, using defaults\n");
 	  bus_pcie_a1 = 2;
 	}
 
@@ -133,7 +133,7 @@ static void *smp_write_config_table(void
 	if(dev) {
 	  bus_pcie_b = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	} else {
-	  printk(BIOS_DEBUG, "ERROR - could not find PCIe Port B 0:3.0, using defaults\n");
+	  printk(DEBUG, "ERROR - could not find PCIe Port B 0:3.0, using defaults\n");
 	  bus_pcie_b = 3;
 	}
 
@@ -310,7 +310,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/intel/jarrell/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/jarrell/mptable.c
+++ svn/src/mainboard/intel/jarrell/mptable.c
@@ -50,7 +50,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 0:1f.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 0:1f.0, using defaults\n");
 
 			bus_ich5r_1 = 4;
 			bus_isa = 5;
@@ -62,7 +62,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:00.1, using defaults\n");
 
 			bus_pxhd_1 = 2;
 		}
@@ -73,7 +73,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_pxhd_2 = 3;
 		}
@@ -124,7 +124,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.1\n");
 		}
 		/* pxhd apic 4 */
 		dev = dev_find_slot(1, PCI_DEVFN(0x00,3));
@@ -135,7 +135,7 @@ static void *smp_write_config_table(void
 			}
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
+			printk(DEBUG, "ERROR - could not find IOAPIC PCI 1:00.3\n");
 		}
 		/* pxhd apic 5 */
 		if(bus_pxhd_3) { /* Active riser pxhd */
@@ -147,7 +147,7 @@ static void *smp_write_config_table(void
 				}
 			}
 			else {
-				printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI %d:00.1\n",bus_pxhd_x);
+				printk(DEBUG, "ERROR - could not find IOAPIC PCI %d:00.1\n",bus_pxhd_x);
 			}
 		}
 		/* pxhd apic 6 */
@@ -160,7 +160,7 @@ static void *smp_write_config_table(void
 				}
 			}
 			else {
-				printk(BIOS_DEBUG, "ERROR - could not find IOAPIC PCI %d:00.3\n",bus_pxhd_x);
+				printk(DEBUG, "ERROR - could not find IOAPIC PCI %d:00.3\n",bus_pxhd_x);
 			}
 		}
 	}
@@ -279,7 +279,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/intel/mtarvon/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/mtarvon/mptable.c
+++ svn/src/mainboard/intel/mtarvon/mptable.c
@@ -150,7 +150,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/intel/truxton/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/truxton/mptable.c
+++ svn/src/mainboard/intel/truxton/mptable.c
@@ -65,7 +65,7 @@ static void *smp_write_config_table(void
 		bus_isa++;
 	}
 	else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI 0:04.0\n");
+		printk(DEBUG, "ERROR - could not find PCI 0:04.0\n");
 		bus_aioc = 0;
 		bus_isa = 9;
 	}
@@ -75,7 +75,7 @@ static void *smp_write_config_table(void
 		bus_pea0 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	}
 	else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI 0:02.0\n");
+		printk(DEBUG, "ERROR - could not find PCI 0:02.0\n");
 		bus_pea0 = 0;
 	}
 	/* PCIe A1 */
@@ -84,7 +84,7 @@ static void *smp_write_config_table(void
 		bus_pea1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	}
 	else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI 0:03.0\n");
+		printk(DEBUG, "ERROR - could not find PCI 0:03.0\n");
 		bus_pea1 = 0;
 	}
 
@@ -183,7 +183,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/intel/xe7501devkit/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/acpi_tables.c
+++ svn/src/mainboard/intel/xe7501devkit/acpi_tables.c
@@ -105,7 +105,7 @@ unsigned long write_acpi_tables(unsigned
 	start   = ( start + 0x0f ) & -0x10;
 	current = start;
 	
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -123,14 +123,14 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	/* QNX wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current+=madt->header.length;
 	acpi_add_table(rsdp,madt);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
 
Index: svn/src/mainboard/intel/xe7501devkit/mptable.c
===================================================================
--- svn.orig/src/mainboard/intel/xe7501devkit/mptable.c
+++ svn/src/mainboard/intel/xe7501devkit/mptable.c
@@ -167,7 +167,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n", mc, smp_next_mpe_entry(mc));
 
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/iwill/dk8_htx/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/acpi_tables.c
+++ svn/src/mainboard/iwill/dk8_htx/acpi_tables.c
@@ -30,9 +30,9 @@ static void dump_mem(unsigned start, uns
         print_debug("dump_mem:");
         for(i=start;i<end;i++) {
                 if((i & 0xf)==0) {
-                        printk(BIOS_DEBUG, "\n%08x:", i);
+                        printk(DEBUG, "\n%08x:", i);
                 }
-                printk(BIOS_DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
+                printk(DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
         }
         print_debug("\n");
  }
@@ -211,7 +211,7 @@ unsigned long write_acpi_tables(unsigned
 	start   = ( start + 0x0f ) & -0x10;
 	current = start;
 	
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -228,14 +228,14 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp,hpet);
 
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current+=madt->header.length;
@@ -243,21 +243,21 @@ unsigned long write_acpi_tables(unsigned
 
 
 	/* SRAT */
-        printk(BIOS_DEBUG, "ACPI:    * SRAT\n");
+        printk(DEBUG, "ACPI:    * SRAT\n");
         srat = (acpi_srat_t *) current;
         acpi_create_srat(srat);
         current+=srat->header.length;
         acpi_add_table(rsdp,srat);
 
 	/* SLIT */
-        printk(BIOS_DEBUG, "ACPI:    * SLIT\n");
+        printk(DEBUG, "ACPI:    * SLIT\n");
         slit = (acpi_slit_t *) current;
         acpi_create_slit(slit);
         current+=slit->header.length;
         acpi_add_table(rsdp,slit);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -277,7 +277,7 @@ unsigned long write_acpi_tables(unsigned
                 else {
                         c  = (uint8_t) ('A' + i - 1 - 6);
                 }
-                printk(BIOS_DEBUG, "ACPI:    * SSDT for PCI%c Aka hcid = %d\n", c, sysconf.hcid[i]); //pci0 and pci1 are in dsdt
+                printk(DEBUG, "ACPI:    * SSDT for PCI%c Aka hcid = %d\n", c, sysconf.hcid[i]); //pci0 and pci1 are in dsdt
                 current   = ( current + 0x07) & -0x08;
                 ssdtx = (acpi_header_t *)current;
                 switch(sysconf.hcid[i]) {
@@ -305,20 +305,20 @@ unsigned long write_acpi_tables(unsigned
 #endif
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT\n");
+	printk(DEBUG, "ACPI:    * DSDT\n");
 	dsdt = (acpi_header_t *)current;
 	current += AmlCode.length;
 	memcpy((void *)dsdt, &AmlCode,  AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n",dsdt,dsdt->length);
 
 	/* FDAT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT\n");
+	printk(DEBUG, "ACPI:    * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -326,29 +326,29 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp,fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-        printk(BIOS_DEBUG, "rsdt\n");
+        printk(DEBUG, "rsdt\n");
         dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-        printk(BIOS_DEBUG, "madt\n");
+        printk(DEBUG, "madt\n");
         dump_mem(madt, ((void *)madt) + madt->header.length);
 
-        printk(BIOS_DEBUG, "srat\n");
+        printk(DEBUG, "srat\n");
         dump_mem(srat, ((void *)srat) + srat->header.length);
 
-        printk(BIOS_DEBUG, "slit\n");
+        printk(DEBUG, "slit\n");
         dump_mem(slit, ((void *)slit) + slit->header.length);
 
-        printk(BIOS_DEBUG, "ssdt\n");
+        printk(DEBUG, "ssdt\n");
         dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-        printk(BIOS_DEBUG, "fadt\n");
+        printk(DEBUG, "fadt\n");
         dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
 
Index: svn/src/mainboard/iwill/dk8_htx/fadt.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/fadt.c
+++ svn/src/mainboard/iwill/dk8_htx/fadt.c
@@ -13,7 +13,7 @@ void acpi_create_fadt(acpi_fadt_t *fadt,
 
 	acpi_header_t *header=&(fadt->header);
 
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt,0,sizeof(acpi_fadt_t));
Index: svn/src/mainboard/iwill/dk8_htx/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/get_bus_conf.c
+++ svn/src/mainboard/iwill/dk8_htx/get_bus_conf.c
@@ -112,11 +112,11 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE >= CONFIG_HT_CHAIN_UNITID_BASE
                 m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 m->bus_isa++;
-//		printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//		printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
         }
 	else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8111_0, sysconf.sbdn);
+                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8111_0, sysconf.sbdn);
         }
 
         /* 8132-1 */
@@ -125,7 +125,7 @@ void get_bus_conf(void)
                 m->bus_8132_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3);
+                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3);
         }
 
         /* 8132-2 */
@@ -135,11 +135,11 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE < CONFIG_HT_CHAIN_UNITID_BASE
                 m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 m->bus_isa++;
-//              printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//              printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3+1);
+                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3+1);
         }
 
         /* HT chain 1 */
@@ -165,7 +165,7 @@ void get_bus_conf(void)
                                 m->bus_8132a[j][1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
                         }
                         else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]);
                         }
 
                         /* 8132-2 */
@@ -174,10 +174,10 @@ void get_bus_conf(void)
                                 m->bus_8132a[j][2] = pci_read_config8(dev, PCI_SECONDARY_BUS);
                                 m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                                 m->bus_isa++;
-                //              printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+                //              printk(DEBUG, "bus_isa=%d\n",bus_isa);
                                 }
                         else {
-                                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]+1);
+                                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]+1);
                         }
 
                         break;
@@ -191,12 +191,12 @@ void get_bus_conf(void)
 
                         if (dev) {
                                 m->bus_8151[j][1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
-        //                        printk(BIOS_DEBUG, "bus_8151_1=%d\n",bus_8151[j][1]);
+        //                        printk(DEBUG, "bus_8151_1=%d\n",bus_8151[j][1]);
                                 m->bus_isa = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                                 m->bus_isa++;
                         }
                         else {
-                                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8151[j][0], m->sbdn5[j]+1);
+                                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8151[j][0], m->sbdn5[j]+1);
                         }
 
                         break;
Index: svn/src/mainboard/iwill/dk8_htx/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/irq_tables.c
+++ svn/src/mainboard/iwill/dk8_htx/irq_tables.c
@@ -58,7 +58,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -98,13 +98,13 @@ unsigned long write_pirq_routing_table(u
         }
 
 //pci bridge
-        printk(BIOS_DEBUG, "setting Onboard AMD Southbridge \n");
+        printk(DEBUG, "setting Onboard AMD Southbridge \n");
         static const unsigned char slotIrqs_1_4[4] = { 3, 5, 10, 11 };
         pci_assign_irqs(m->bus_8111_0, sysconf.sbdn+1, slotIrqs_1_4);
 	write_pirq_info(pirq_info, m->bus_8111_0, ((sysconf.sbdn+1)<<3)|0, 0x1, 0xdef8, 0x2, 0xdef8, 0x3, 0xdef8, 0x4, 0xdef8, 0, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Onboard AMD USB \n");
+        printk(DEBUG, "setting Onboard AMD USB \n");
         static const unsigned char slotIrqs_8111_1_0[4] = { 0, 0, 0, 11};
         pci_assign_irqs(m->bus_8111_1, 0, slotIrqs_8111_1_0);
         write_pirq_info(pirq_info, m->bus_8111_1,0, 0, 0, 0, 0, 0, 0, 0x4, 0xdef8, 0, 0);
@@ -138,7 +138,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/iwill/dk8_htx/mptable.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/mptable.c
+++ svn/src/mainboard/iwill/dk8_htx/mptable.c
@@ -212,7 +212,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/iwill/dk8_htx/romstage.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/romstage.c
+++ svn/src/mainboard/iwill/dk8_htx/romstage.c
@@ -163,7 +163,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_mb_resource_map();
 
